Subject: bug#3422: 23.0.94; window-height returns window buffer

From: Lennart Borgman <[email-masked]>
Date: Sat, 30 May 2009 16:07:03 +0200

On Sat, May 30, 2009 at 3:59 PM, Jason Rumney <[email-masked]> wrote:
> Lennart Borgman wrote:
>>
>> I do not think I can reproduce this, but (window-height win) just
>> returned the buffer win was displaying. I can reproduce it now, but I
>> doubt I can when I have restarted Emacs.
>>
>
> Are you saying that memory is corrupted such that the current window's
> total_lines member holds a buffer?
>
>> This was with my patched Emacs, but there is no patches in window.c.
>
> It doesn't matter where your patches are if they are causing the memory
> corruption.
>
>>  I
>> suspect that this has something to do with frame creation since I have
>> seen many crashes there. Another possibility is w32 resources. I see a
>> steady increase in GDI Objects in Windows Task Manager and when that
>> starts to get high very strange things can happen (though it is
>> perhaps some other resource that is depleted).
>>
>
> What are you doing when you see this steady increase? Do you also see it in
> the current pretest or CVS trunk?

I do not think this is related to Emacs. It is a bug in xp (and I
think w2k too) in the handling of sticky keys. At each menu invocation
and window switching xp eats gdi objects. I have actually reported
this to ms, but ...